
From: Geert Uytterhoeven <geert@linux-m68k.org>

M68k: Add missing `void' parameters (found by sparse)

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/m68k/bvme6000/config.c    |    2 +-
 25-akpm/arch/m68k/mvme147/config.c     |    2 +-
 25-akpm/arch/m68k/mvme16x/config.c     |    2 +-
 25-akpm/arch/m68k/q40/config.c         |    6 +++---
 25-akpm/drivers/macintosh/via-pmu68k.c |    8 ++++----
 5 files changed, 10 insertions(+), 10 deletions(-)

diff -puN arch/m68k/bvme6000/config.c~m68k-sparse-missing-void arch/m68k/bvme6000/config.c
--- 25/arch/m68k/bvme6000/config.c~m68k-sparse-missing-void	2004-07-26 17:25:23.858349312 -0700
+++ 25-akpm/arch/m68k/bvme6000/config.c	2004-07-26 17:25:23.868347792 -0700
@@ -70,7 +70,7 @@ int bvme6000_parse_bootinfo(const struct
 		return 1;
 }
 
-void bvme6000_reset()
+void bvme6000_reset(void)
 {
 	volatile PitRegsPtr pit = (PitRegsPtr)BVME_PIT_BASE;
 
diff -puN arch/m68k/mvme147/config.c~m68k-sparse-missing-void arch/m68k/mvme147/config.c
--- 25/arch/m68k/mvme147/config.c~m68k-sparse-missing-void	2004-07-26 17:25:23.860349008 -0700
+++ 25-akpm/arch/m68k/mvme147/config.c	2004-07-26 17:25:23.869347640 -0700
@@ -69,7 +69,7 @@ int mvme147_parse_bootinfo(const struct 
 		return 1;
 }
 
-void mvme147_reset()
+void mvme147_reset(void)
 {
 	printk ("\r\n\nCalled mvme147_reset\r\n");
 	m147_pcc->watchdog = 0x0a;	/* Clear timer */
diff -puN arch/m68k/mvme16x/config.c~m68k-sparse-missing-void arch/m68k/mvme16x/config.c
--- 25/arch/m68k/mvme16x/config.c~m68k-sparse-missing-void	2004-07-26 17:25:23.862348704 -0700
+++ 25-akpm/arch/m68k/mvme16x/config.c	2004-07-26 17:25:23.869347640 -0700
@@ -75,7 +75,7 @@ int mvme16x_parse_bootinfo(const struct 
 		return 1;
 }
 
-void mvme16x_reset()
+void mvme16x_reset(void)
 {
 	printk ("\r\n\nCalled mvme16x_reset\r\n"
 			"\r\r\r\r\r\r\r\r\r\r\r\r\r\r\r\r\r\r");
diff -puN arch/m68k/q40/config.c~m68k-sparse-missing-void arch/m68k/q40/config.c
--- 25/arch/m68k/q40/config.c~m68k-sparse-missing-void	2004-07-26 17:25:23.863348552 -0700
+++ 25-akpm/arch/m68k/q40/config.c	2004-07-26 17:25:23.870347488 -0700
@@ -122,7 +122,7 @@ static void q40_heartbeat(int on)
 }
 #endif
 
-void q40_reset()
+void q40_reset(void)
 {
         halted=1;
         printk ("\n\n*******************************************\n"
@@ -131,7 +131,7 @@ void q40_reset()
 	Q40_LED_ON();
 	while(1) ;
 }
-void q40_halt()
+void q40_halt(void)
 {
         halted=1;
         printk ("\n\n*******************\n"
@@ -295,7 +295,7 @@ int q40_hwclk(int op, struct rtc_time *t
 	return 0;
 }
 
-unsigned int q40_get_ss()
+unsigned int q40_get_ss(void)
 {
 	return bcd2bin(Q40_RTC_SECS);
 }
diff -puN drivers/macintosh/via-pmu68k.c~m68k-sparse-missing-void drivers/macintosh/via-pmu68k.c
--- 25/drivers/macintosh/via-pmu68k.c~m68k-sparse-missing-void	2004-07-26 17:25:23.865348248 -0700
+++ 25-akpm/drivers/macintosh/via-pmu68k.c	2004-07-26 17:25:23.870347488 -0700
@@ -177,7 +177,7 @@ static s8 pmu_data_len[256][2] = {
 /*f8*/	{-1,-1},{-1,-1},{-1,-1},{-1,-1},{-1,-1},{-1,-1},{-1,-1},{-1,-1},
 };
 
-int pmu_probe()
+int pmu_probe(void)
 {
 	if (macintosh_config->adb_type == MAC_ADB_PB1) {
 		pmu_kind = PMU_68K_V1;
@@ -521,7 +521,7 @@ send_byte(int x)
 }
 
 static void 
-recv_byte()
+recv_byte(void)
 {
 	char c;
 
@@ -531,7 +531,7 @@ recv_byte()
 }
 
 static void 
-pmu_start()
+pmu_start(void)
 {
 	unsigned long flags;
 	struct adb_request *req;
@@ -556,7 +556,7 @@ out:
 }
 
 void 
-pmu_poll()
+pmu_poll(void)
 {
 	unsigned long flags;
 
_
